<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:20:13 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.languages.common.profile.Codegen (org.eclipse.papyrus.designer.languages.common.profile 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../../../../../org/eclipse/papyrus/designer/languages/common/profile/Codegen/package-summary.html" target="classFrame">org.eclipse.papyrus.designer.languages.common.profile.Codegen</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="ArcheType.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen" target="classFrame"><span class="interfaceName">ArcheType</span></a></li>
<li><a href="CodegenFactory.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen" target="classFrame"><span class="interfaceName">CodegenFactory</span></a></li>
<li><a href="CodegenPackage.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen" target="classFrame"><span class="interfaceName">CodegenPackage</span></a></li>
<li><a href="CodegenPackage.Literals.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen" target="classFrame"><span class="interfaceName">CodegenPackage.Literals</span></a></li>
<li><a href="ExcludedDependency.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen" target="classFrame"><span class="interfaceName">ExcludedDependency</span></a></li>
<li><a href="GeneratorHint.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen" target="classFrame"><span class="interfaceName">GeneratorHint</span></a></li>
<li><a href="Language.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen" target="classFrame"><span class="interfaceName">Language</span></a></li>
<li><a href="MavenDependency.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen" target="classFrame"><span class="interfaceName">MavenDependency</span></a></li>
<li><a href="MavenProject.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen" target="classFrame"><span class="interfaceName">MavenProject</span></a></li>
<li><a href="NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen" target="classFrame"><span class="interfaceName">NoCodeGen</span></a></li>
<li><a href="ParentArtifact.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen" target="classFrame"><span class="interfaceName">ParentArtifact</span></a></li>
<li><a href="Project.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen" target="classFrame"><span class="interfaceName">Project</span></a></li>
<li><a href="Property.html" title="interface in org.eclipse.papyrus.designer.languages.common.profile.Codegen" target="classFrame"><span class="interfaceName">Property</span></a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="GenerationModeKind.html" title="enum in org.eclipse.papyrus.designer.languages.common.profile.Codegen" target="classFrame">GenerationModeKind</a></li>
</ul>
</div>
</body>
</html>
